<?php
require_once(SITE_LOGICS . 'login/logic.php');

class ControlLogin extends LogicLogin {

	/*-------------------------------------------------------------------------
	* @ メンバ変数
	-------------------------------------------------------------------------*/

	/*-------------------------------------------------------------------------
	* @function_name: ロジックのコンストラクタ
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function __construct() {
		parent::__construct();
	}

	/*-------------------------------------------------------------------------
	* @function_name: コントロールパネルシステム動画データ編集ロジック（各クラス共通）
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function action() {

		// 変数宣言部
		$result = NO_STRING;

		try {
		    $this -> checkAvailability("site", function(){
		        require_once $this -> getUserHTML('TEMPLATE_MAINTENANCE_MODE_SITE_PATH');
		        exit();
		    });
		    
			// アクション実行
			$result = $this -> logic();

			// 画面の表示
			if($result == TYPE_COMPLETE) {			// ページのロード（メニュー画面）

				if($this -> getUserData(PARAM_LANGUAGE) == NO_STRING) {
					header('Location: /' . $this->getLangage() . '/menu');
				} else {
					header('Location: /' . $this -> getUserData(PARAM_LANGUAGE) . '/menu');
				}

			} else if($result == TYPE_VERI_ERROR) {	// ページのロード（未認証）
				require_once($this -> getUserHTML('TEMPLATE_LOGIN_DONT_VERI_PATH', $this -> dispHTML()));

			} else {								// ページのロード（入力画面）
				require_once($this -> getUserHTML('TEMPLATE_LOGIN_PATH', $this -> dispHTML()));
			}

		} catch (Exception $e) {
			header('Location: /' . $this ->  getLangage() . '/login');
		}
	}
}
?>